<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000366.png" type="DMXDevice" dmxcversion="3.0.0" ddfversion="1.1.0">
  <information>
    <ddf-library-id>1429</ddf-library-id>
    <model>MP300 Spot</model>
    <vendor>Coef Lighting</vendor>
    <author>Jens-Peter Kühn</author>
  </information>
  <functions>
    <shutter dmxchannel="0">
      <step type="closed" mindmx="0" maxdmx="5"/>
      <step type="open" mindmx="6" maxdmx="100"/>
    </shutter>
    <strobe dmxchannel="0">
      <range type="ramp up" mindmx="121" maxdmx="138" minval="0.1" maxval="1"/>
      <range type="ramp down" mindmx="139" maxdmx="156" minval="0.1" maxval="1"/>
      <range type="ramp up/down" mindmx="157" maxdmx="174" minval="0.1" maxval="1"/>
      <range type="random" mindmx="192" maxdmx="175" minval="0.4" maxval="10"/>
      <range type="linear" mindmx="193" maxdmx="250" minval="0.8" maxval="12"/>
    </strobe>
    <colorwheel dmxchannel="1">
      <step type="color" val="#ffffff" mindmx="0" maxdmx="5" caption="White"/>
      <step type="color" val="#fffc00" mindmx="6" maxdmx="15" caption="Yellow"/>
      <step type="color" val="#0000b4" mindmx="16" maxdmx="25" caption="Blue"/>
      <step type="color" val="#fa46c9" mindmx="26" maxdmx="35" caption="Magenta"/>
      <step type="color" val="#62f600" mindmx="36" maxdmx="45" caption="Light Green"/>
      <step type="color" val="#ff9b00" mindmx="46" maxdmx="55" caption="Orange"/>
      <step type="color" val="#309bff" mindmx="56" maxdmx="65" caption="Cyan"/>
      <step type="color" val="#ff79ed" mindmx="66" maxdmx="75" caption="Pink"/>
      <step type="color" val="#ff3000" mindmx="76" maxdmx="85" caption="Red"/>
      <step type="color" val="#00be00" mindmx="86" maxdmx="95" caption="Dark Green"/>
      <step type="color" val="#3200a4" mindmx="96" maxdmx="105" caption="Wood"/>
      <random>
        <step type="fast" mindmx="196" maxdmx="200"/>
        <step type="slow" mindmx="201" maxdmx="205"/>
      </random>
      <wheelrotation>
        <range type="cw" mindmx="206" maxdmx="225" minval="0" maxval="105"/>
        <range type="ccw" mindmx="226" maxdmx="245" minval="0" maxval="105"/>
      </wheelrotation>
    </colorwheel>
    <gobowheel dmxchannel="2">
      <goborotation dmxchannel="3">
        <step type="stop" mindmx="0" maxdmx="5"/>
        <range type="cw" mindmx="6" maxdmx="130" minval="0" maxval="8"/>
        <range type="ccw" mindmx="131" maxdmx="255" minval="0" maxval="8"/>
      </goborotation>
      <goboindex dmxchannel="3">
        <range mindmx="6" maxdmx="255" minval="0" maxval="540"/>
      </goboindex>
      <step type="open" mindmx="0" maxdmx="11" caption="Open"/>
      <step type="gobo" val="ICON-000995.png" caption="Gobo 1">
        <step for="goborotation" mindmx="12" maxdmx="23"/>
        <step for="goboindex" mindmx="96" maxdmx="107"/>
      </step>
      <step type="gobo" val="ICON-000996.png" caption="Gobo 2">
        <step for="goborotation" mindmx="24" maxdmx="35"/>
        <step for="goboindex" mindmx="108" maxdmx="119"/>
      </step>
      <step type="gobo" val="ICON-000997.png" caption="Gobo 3">
        <step for="goborotation" mindmx="36" maxdmx="47"/>
        <step for="goboindex" mindmx="120" maxdmx="131"/>
      </step>
      <step type="gobo" val="ICON-000998.png" caption="Gobo 4">
        <step for="goborotation" mindmx="48" maxdmx="59"/>
        <step for="goboindex" mindmx="132" maxdmx="143"/>
      </step>
      <step type="gobo" val="ICON-000999.png" caption="Gobo 5">
        <step for="goborotation" mindmx="60" maxdmx="71"/>
        <step for="goboindex" mindmx="144" maxdmx="155"/>
      </step>
      <step type="gobo" val="ICON-001000.png" caption="Gobo 6">
        <step for="goborotation" mindmx="72" maxdmx="83"/>
        <step for="goboindex" mindmx="156" maxdmx="167"/>
      </step>
      <step type="gobo" val="ICON-001001.png" caption="Gobo 7">
        <step for="goborotation" mindmx="84" maxdmx="95"/>
        <step for="goboindex" mindmx="168" maxdmx="179"/>
      </step>
      <random>
        <step type="fast" mindmx="180" maxdmx="191"/>
        <step type="slow" mindmx="192" maxdmx="203"/>
      </random>
      <wheelrotation>
        <range type="cw" mindmx="204" maxdmx="229" minval="0" maxval="5"/>
        <range type="ccw" mindmx="230" maxdmx="255" minval="0" maxval="5"/>
      </wheelrotation>
    </gobowheel>
    <position>
      <pan dmxchannel="4" finedmxchannel="5">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="6" finedmxchannel="7">
        <range range="270"/>
      </tilt>
    </position>
    <gobowheel dmxchannel="8">
      <goboshake/>
      <step type="open" mindmx="0" maxdmx="10" caption="Open"/>
      <step type="gobo" val="ICON-001002.png" mindmx="11" maxdmx="20" caption="Gobo 1">
        <range handler="goboshake" mindmx="101" maxdmx="110" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001003.png" mindmx="21" maxdmx="30" caption="Gobo 2">
        <range handler="goboshake" mindmx="111" maxdmx="120" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001004.png" mindmx="31" maxdmx="40" caption="Gobo 3">
        <range handler="goboshake" mindmx="121" maxdmx="130" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001005.png" mindmx="41" maxdmx="50" caption="Gobo 4">
        <range handler="goboshake" mindmx="131" maxdmx="140" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001006.png" mindmx="51" maxdmx="60" caption="Gobo 5">
        <range handler="goboshake" mindmx="141" maxdmx="150" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001007.png" mindmx="61" maxdmx="70" caption="Gobo 6">
        <range handler="goboshake" mindmx="151" maxdmx="160" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001008.png" mindmx="71" maxdmx="80" caption="Gobo 7">
        <range handler="goboshake" mindmx="161" maxdmx="170" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001009.png" mindmx="81" maxdmx="90" caption="Gobo 8">
        <range handler="goboshake" mindmx="171" maxdmx="180" minval="0.1" maxval="4"/>
      </step>
      <step type="gobo" val="ICON-001010.png" mindmx="91" maxdmx="100" caption="Gobo 9">
        <range handler="goboshake" mindmx="181" maxdmx="190" minval="0.1" maxval="4"/>
      </step>
      <random>
        <step type="fast" mindmx="191" maxdmx="197"/>
        <step type="slow" mindmx="198" maxdmx="205"/>
      </random>
      <wheelrotation>
        <range type="cw" mindmx="206" maxdmx="230" minval="0.1" maxval="5"/>
        <range type="ccw" mindmx="231" maxdmx="255" minval="0.1" maxval="5"/>
      </wheelrotation>
    </gobowheel>
    <focus dmxchannel="9">
      <range type="linear" mindmx="0" maxdmx="255" minval="0" maxval="10"/>
    </focus>
    <prism dmxchannel="10">
      <prismrotation/>
      <step type="open" mindmx="0" maxdmx="10" caption="Open"/>
      <step type="prism" mindmx="11" maxdmx="255" caption="3 Faces Prism">
        <step type="stop" handler="prismrotation" mindmx="11" maxdmx="80"/>
        <range type="cw" handler="prismrotation" mindmx="81" maxdmx="170" minval="0.1" maxval="10"/>
        <range type="ccw" handler="prismrotation" mindmx="171" maxdmx="255" minval="0.1" maxval="10"/>
      </step>
    </prism>
    <dimmer dmxchannel="11">
      <range type="linear" mindmx="5" maxdmx="251" minval="0" maxval="100"/>
    </dimmer>
    <raw dmxchannel="12" name="Focus Speed" defaultval="100">
      <range type="linear" mindmx="251" maxdmx="5" minval="0.1" maxval="100"/>
    </raw>
    <ptspeed dmxchannel="13">
      <step type="open" mindmx="0" maxdmx="5"/>
      <range type="linear" mindmx="251" maxdmx="6" minval="0.1" maxval="100"/>
    </ptspeed>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="0" value="0"/>
      <hold value="500"/>
      <set dmxchannel="1" value="0"/>
      <set dmxchannel="2" value="0"/>
      <hold value="500"/>
      <set dmxchannel="1" value="255"/>
      <set dmxchannel="2" value="255"/>
      <hold value="500"/>
      <set dmxchannel="1" value="0"/>
      <set dmxchannel="2" value="0"/>
      <hold value="500"/>
      <restore dmxchannel="0"/>
      <restore dmxchannel="1"/>
      <restore dmxchannel="2"/>
    </reset>
    <lamp_on>
      <set dmxchannel="1" value="0"/>
      <hold value="500"/>
      <set dmxchannel="2" value="0"/>
      <set dmxchannel="3" value="0"/>
      <hold value="500"/>
      <set dmxchannel="2" value="255"/>
      <set dmxchannel="3" value="255"/>
      <hold value="500"/>
      <set dmxchannel="2" value="0"/>
      <set dmxchannel="3" value="0"/>
      <hold value="500"/>
      <restore dmxchannel="1"/>
      <restore dmxchannel="2"/>
      <restore dmxchannel="3"/>
    </lamp_on>
    <lamp_off>
      <set dmxchannel="1" value="255"/>
      <hold value="500"/>
      <set dmxchannel="2" value="0"/>
      <set dmxchannel="3" value="0"/>
      <hold value="500"/>
      <set dmxchannel="2" value="255"/>
      <set dmxchannel="3" value="255"/>
      <hold value="500"/>
      <set dmxchannel="2" value="0"/>
      <set dmxchannel="3" value="0"/>
      <hold value="500"/>
      <restore dmxchannel="1"/>
      <restore dmxchannel="2"/>
      <restore dmxchannel="3"/>
    </lamp_off>
  </procedures>
</device>
